# Class TaskSpecifier

java.lang.Object
com.sun.grid.jsv.TaskSpecifier

All Implemented Interfaces:
  `Serializable, Cloneable`

public final class TaskSpecifier extends Object implements Cloneable, Serializable
The TaskSpecifier class represents an array task specification for a job. It defines the minimum and maximum values in the task identifier range as well as the incremental step value. By default, the minimum, maximum, and step values are set to 1.

Since:
  6.2u5
See Also:
  - `JobDescription.getTaskSpecifier()`
  - `JobDescription.setTaskSpecifier(com.sun.grid.jsv.TaskSpecifier)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TaskSpecifier()`

## Method Summary

Modifier and Type
Method
Description
`TaskSpecifier`
`clone()`
`boolean`
`equals(Object obj)`
`int`
`getMax()`
Get the maximum value of the array task id range.
`int`
`getMin()`
Get the minimum value of the array task id range.
`int`
`getStep()`
Get the incremental step value for the array task id range.
`int`
`hashCode()`
`void`
`setMax(int max)`
Set the maximum value of the array task id range.
`void`
`setMin(int min)`
Set the minimum value of the array task id range.
`void`
`setRange(int min, int max)`
Set the minimum and maximum values of the array task id range.
`void`
`setRange(int min, int max, int step)`
Set the minimum and maximum values of the array task id range as well as the incremental step value.
`void`
`setStep(int step)`
Set the incremental step value of the array task id range.
`String`
`toString()`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TaskSpecifier

public TaskSpecifier()

## Method Details

### getMin

public int getMin()
Get the minimum value of the array task id range.

Returns:
  the minimum range value

### getMax

public int getMax()
Get the maximum value of the array task id range.

Returns:
  the maximum range value

### getStep

public int getStep()
Get the incremental step value for the array task id range.

Returns:
  the step value

### setMin

public void setMin(int min)
Set the minimum value of the array task id range. Values less than 1 will cause an IllegalArgumentException to be thrown.

Parameters:
  `min` - the minimum range value

### setMax

public void setMax(int max)
Set the maximum value of the array task id range. Values less than 1 will cause an IllegalArgumentException to be thrown.

Parameters:
  `max` - the maximum range value

### setStep

public void setStep(int step)
Set the incremental step value of the array task id range. Values less than 1 will cause an IllegalArgumentException to be thrown.

Parameters:
  `step` - the incremental step value

### setRange

public void setRange(int min, int max)
Set the minimum and maximum values of the array task id range. Values less than 1 will cause an IllegalArgumentException to be thrown, as will a maximum range value that is less than the minimum range value.

Parameters:
  `min` - the minimum range value
  `max` - the maximum range value

### setRange

public void setRange(int min, int max, int step)
Set the minimum and maximum values of the array task id range as well as the incremental step value. Values less than 1 will cause an IllegalArgumentException to be thrown, as will a maximum range value that is less than the minimum range value.

Parameters:
  `min` - the minimum range value
  `max` - the maximum range value
  `step` - the step value

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### clone

public TaskSpecifier clone()

Overrides:
  `clone` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`